OpenVDB 13.0.0

Loading...
Searching...
No Matches
GridNamePred Struct Reference

Predicate functor that returns `true` for grids that have a specified name. More...

`#include <openvdb/Grid.h>`

## Public Member Functions
| GridNamePred (const Name &_name)
bool | operator() (const GridBase::ConstPtr &g) const

## Public Attributes
Name | name

## Detailed Description

Predicate functor that returns `true` for grids that have a specified name.

## Constructor & Destructor Documentation

## ◆ GridNamePred()

GridNamePred | ( | const Name & | _name | ) |
| inline

## Member Function Documentation

## ◆ operator()()

bool operator() | ( | const GridBase::ConstPtr & | g | ) | const
| inline

## Member Data Documentation

## ◆ name

Name name